## k3b 25.08.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

# KDE Application Version, managed by release script
set(RELEASE_SERVICE_VERSION_MAJOR "25")
set(RELEASE_SERVICE_VERSION_MINOR "08")
set(RELEASE_SERVICE_VERSION_MICRO "1")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(k3b VERSION ${RELEASE_SERVICE_VERSION})

set(QT_MIN_VERSION "6.6")
set(KF_MIN_VERSION "6.1")

set(KDE_COMPILERSETTINGS_LEVEL "5.84")

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules" "${ECM_MODULE_PATH}")

##################  K3b version  ################################
set(K3B_VERSION_STRING ${RELEASE_SERVICE_VERSION})

# increase on BC breakage
set(K3B_LIB_VERSION_MAJOR 8)

# increase after adding functionality
set(K3B_LIB_VERSION_MINOR 0)
set(K3B_LIB_VERSION_RELEASE 0)


##################  K3b options #################################
option(K3B_DOC "Whether to build the documentation" ON)
option(K3B_DEBUG "K3b additional debugging support" OFF)
if(K3B_DEBUG)
    add_definitions(-g)
endif()
option(K3B_ENABLE_DVD_RIPPING "Support for ripping Video DVDs with optional decryption." ON)
option(K3B_ENABLE_TAGLIB "Support for reading audio file metadata using Taglib." ON)
option(K3B_BUILD_API_DOCS "Build the API documentation for the K3b libs." OFF)

# plugin options
option(K3B_BUILD_FFMPEG_DECODER_PLUGIN "Build FFmpeg decoder plugin" ON)
option(K3B_BUILD_OGGVORBIS_DECODER_PLUGIN "Build Ogg-Vorbis decoder plugin" ON)
option(K3B_BUILD_OGGVORBIS_ENCODER_PLUGIN "Build Ogg-Vorbis encoder plugin" ON)
option(K3B_BUILD_MAD_DECODER_PLUGIN "Build MAD mp3 decoder plugin" ON)
option(K3B_BUILD_MUSE_DECODER_PLUGIN "Build Musepack decoder plugin" ON)
option(K3B_BUILD_FLAC_DECODER_PLUGIN "Build Flac decoder plugin" ON)
option(K3B_BUILD_SNDFILE_DECODER_PLUGIN "Build libsndfile decoder plugin" ON)
option(K3B_BUILD_LAME_ENCODER_PLUGIN "Build Lame encoder plugin" ON)
option(K3B_BUILD_SOX_ENCODER_PLUGIN "Build Sox encoder plugin" ON)
option(K3B_BUILD_EXTERNAL_ENCODER_PLUGIN "Build external app encoder plugin" ON)
option(K3B_BUILD_WAVE_DECODER_PLUGIN "Build Wave decoder plugin" ON)

##################  K3b requirements #################################
include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)

include(FeatureSummary)
include(GenerateExportHeader)
include(ECMInstallIcons)
include(ECMEnableSanitizers)
include(ECMSetupQtPluginMacroNames)
include(ECMQtDeclareLoggingCategory)

find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Core DBus Gui)
find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS Archive Auth Config CoreAddons FileMetaData I18n IconThemes JobWidgets
    KCMUtils KIO Notifications NewStuff NotifyConfig Solid WidgetsAddons XmlGui)

if(K3B_DOC)
  find_package(KF6DocTools ${KF_MIN_VERSION})
  set_package_properties(KF6DocTools PROPERTIES
    DESCRIPTION "Tools to generate documentation"
    TYPE REQUIRED
  )
endif()

find_package(Qt6WebEngineWidgets)
set_package_properties(Qt6WebEngineWidgets PROPERTIES
    DESCRIPTION "QtWebEngineWidgets is used for prettier k3bdiskinfoview."
    TYPE OPTIONAL)
if(Qt6WebEngineWidgets_FOUND)
    add_definitions(-DHAVE_QTWEBENGINEWIDGETS)
endif()

add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

option(WITH_NEW_SOLID_JOB "WIP: base Job class" Off)
add_feature_info(Solid::Job WITH_NEW_SOLID_JOB "WIP: Base class for Solid Asynchronous apis")
if(WITH_NEW_SOLID_JOB)
    add_definitions(-DWITH_NEW_SOLID_JOB)
endif()

find_package(Iconv)
set(HAVE_ICONV "${ICONV_FOUND}")

find_package(Samplerate)
set_package_properties(Samplerate PROPERTIES
    DESCRIPTION "Audio sampling rate conversion."
    URL "http://www.mega-nerd.com/SRC"
    TYPE REQUIRED)

set(KCDDB_TARGET_NAME KCddb6)
find_package(KCddb6 5.1 REQUIRED)
set_package_properties(${KCDDB_TARGET_NAME} PROPERTIES
    DESCRIPTION "Latest branch for CDDB library"
    URL "https://commits.kde.org/libkcddb"
    TYPE REQUIRED
    PURPOSE "libkcddb is used to retrieve audio CD meta data from the internet.")

if(K3B_ENABLE_DVD_RIPPING)
    find_package(DvdRead)
    set_package_properties(DvdRead PROPERTIES
        DESCRIPTION "Libdvdread provides a simple foundation for reading DVD video disks."
        URL "https://www.videolan.org/developers/libdvdnav.html"
        TYPE OPTIONAL)

    set(ENABLE_DVD_RIPPING "${DVDREAD_FOUND}")
endif()

if(K3B_ENABLE_TAGLIB)
    find_package(Taglib)
    set_package_properties(Taglib PROPERTIES
        DESCRIPTION "Read and write tags in audio files"
        URL "https://taglib.org/"
        TYPE OPTIONAL)

    set(ENABLE_TAGLIB "${TAGLIB_FOUND}")
endif()

if(K3B_BUILD_FFMPEG_DECODER_PLUGIN)
    find_package(FFmpeg 4.4.0)
    set_package_properties(FFmpeg PROPERTIES
        PURPOSE "Needed for the K3b FFmpeg decoder plugin which can decode virtually all audio types."
        URL "https://ffmpeg.org/"
        TYPE OPTIONAL)

    if(FFMPEG_FOUND)
        include(CheckSymbolExists)
        include(CMakePushCheckState)
        cmake_push_check_state()

        if(CMAKE_COMPILER_IS_GNUCC OR CMAKE_C_COMPILER_ID MATCHES "Clang")
            # FindKDE4Internal.cmake screws things up
            set(CMAKE_REQUIRED_FLAGS ${CMAKE_REQUIRED_FLAGS} -std=c99)
        endif()

        if(FFMPEG_INCLUDE_DIR_OLD_STYLE)
            set(CMAKE_REQUIRED_INCLUDES ${CMAKE_REQUIRED_INCLUDES} ${FFMPEG_INCLUDE_DIR_OLD_STYLE})
            set(FFMPEG_HEADERS ffmpeg/avcodec.h ffmpeg/avformat.h)
        else()
            set(CMAKE_REQUIRED_INCLUDES ${CMAKE_REQUIRED_INCLUDES} ${FFMPEG_INCLUDE_DIR} ${FFMPEG_INCLUDE_DIRS})
            set(FFMPEG_HEADERS libavcodec/avcodec.h libavformat/avformat.h)
            set(CMAKE_REQUIRED_DEFINITIONS ${CMAKE_REQUIRED_DEFINITIONS} -DNEWFFMPEGAVCODECPATH)
        endif()
        set(CMAKE_REQUIRED_LIBRARIES ${CMAKE_REQUIRED_LIBRARIES} ${FFMPEG_LIBRARIES})

        check_symbol_exists(avformat_open_input "${FFMPEG_HEADERS}" HAVE_FFMPEG_AVFORMAT_OPEN_INPUT)
        check_symbol_exists(av_dump_format "${FFMPEG_HEADERS}" HAVE_FFMPEG_AV_DUMP_FORMAT)
        check_symbol_exists(avformat_find_stream_info "${FFMPEG_HEADERS}" HAVE_FFMPEG_AVFORMAT_FIND_STREAM_INFO)
        check_symbol_exists(avformat_close_input "${FFMPEG_HEADERS}" HAVE_FFMPEG_AVFORMAT_CLOSE_INPUT)
        check_symbol_exists(avcodec_open2 "${FFMPEG_HEADERS}" HAVE_FFMPEG_AVCODEC_OPEN2)
        include(CheckCSourceCompiles)
        check_c_source_compiles("
            #ifdef NEWFFMPEGAVCODECPATH
            #include <libavcodec/avcodec.h>
            #else
            #include <ffmpeg/avcodec.h>
            #endif
            int main() { enum AVMediaType t = AVMEDIA_TYPE_UNKNOWN; return 0; }
            " HAVE_FFMPEG_AVMEDIA_TYPE)
        check_c_source_compiles("
            #ifdef NEWFFMPEGAVCODECPATH
            #include <libavcodec/avcodec.h>
            #else
            #include <ffmpeg/avcodec.h>
            #endif
            int main() {
            #if LIBAVCODEC_BUILD >= AV_VERSION_INT(54,25,0)
            # Not needed here. AV_CODEC_ID_MP3 exists.
            #else
            enum CodecID t = CODEC_ID_MP3;
            #endif
            return 0;
            }
            " HAVE_FFMPEG_CODEC_MP3)

        cmake_pop_check_state()
    endif()

    set(BUILD_FFMPEG_DECODER_PLUGIN "${FFMPEG_FOUND}")
endif()

if(K3B_BUILD_FLAC_DECODER_PLUGIN)
    find_package(Flac)
    set_package_properties(Flac PROPERTIES
        PURPOSE "Needed for the Flac audio decoder plugin."
        URL "https://xiph.org/flac/"
        TYPE OPTIONAL)

    find_package(Flac++)
    set_package_properties(Flac++ PROPERTIES
        PURPOSE "Needed for the Flac audio decoder plugin."
        URL "https://xiph.org/flac/"
        TYPE OPTIONAL)

    if(FLAC_FOUND AND FLAC++_FOUND)
        set(BUILD_FLAC_DECODER_PLUGIN 1)
    endif()
endif()

if(K3B_BUILD_MAD_DECODER_PLUGIN)
    find_package(Mad)
    set_package_properties(Mad PROPERTIES
        PURPOSE "Needed for the mp3 audio decoder plugin."
        URL "https://www.underbit.com/products/mad"
        TYPE OPTIONAL)

    set(BUILD_MAD_DECODER_PLUGIN "${MAD_FOUND}")
endif()

if(K3B_BUILD_MUSE_DECODER_PLUGIN)
    find_package(Muse)
    set_package_properties(Muse PROPERTIES
        PURPOSE "Needed for the Musepack audio decoder plugin"
        URL "https://www.musepack.net/"
        TYPE OPTIONAL)

    set(BUILD_MUSE_DECODER_PLUGIN "${Muse_FOUND}")
endif()

if(K3B_BUILD_SNDFILE_DECODER_PLUGIN)
    find_package(Sndfile)
    set_package_properties(Sndfile PROPERTIES
        PURPOSE "Needed for the libsndfile audio decoder plugin."
        URL "http://www.mega-nerd.com/libsndfile"
        TYPE OPTIONAL)

    set(BUILD_SNDFILE_DECODER_PLUGIN "${SNDFILE_FOUND}")
endif()

if(K3B_BUILD_LAME_ENCODER_PLUGIN)
    find_package(Lame)
    set_package_properties(Lame PROPERTIES
        DESCRIPTION "Lame mp3 encoder"
        PURPOSE "Needed for the lame mpf encoder encoder plugin."
        URL "https://lame.sourceforge.io/"
        TYPE OPTIONAL)

    set(BUILD_LAME_ENCODER_PLUGIN "${LAME_FOUND}")
endif()

if(K3B_BUILD_OGGVORBIS_DECODER_PLUGIN OR K3B_BUILD_OGGVORBIS_ENCODER_PLUGIN)
    find_package(OggVorbis)
    set_package_properties(OggVorbis PROPERTIES
        DESCRIPTION "Ogg Vorbis"
        PURPOSE "Needed for the K3b Ogg Vorbis decoder and encoder plugins."
        URL "https://xiph.org/vorbis/"
        TYPE OPTIONAL)

    set(BUILD_OGGVORBIS_DECODER_PLUGIN "${OGGVORBIS_FOUND}")
    set(BUILD_OGGVORBIS_ENCODER_PLUGIN "${OGGVORBIS_FOUND}")
endif()

###################  K3b build settings #################################
include(ConfigureChecks)

set(BUILD_WAVE_DECODER_PLUGIN "${K3B_BUILD_WAVE_DECODER_PLUGIN}")
set(BUILD_SOX_ENCODER_PLUGIN "${K3B_BUILD_SOX_ENCODER_PLUGIN}")
set(BUILD_EXTERNAL_ENCODER_PLUGIN "${K3B_BUILD_EXTERNAL_ENCODER_PLUGIN}")

set(ENABLE_HAL_SUPPORT "${K3B_ENABLE_HAL_SUPPORT}")
set(ENABLE_AUDIO_PLAYER "${QT_QTMULTIMEDIA_FOUND}")

if(IS_ABSOLUTE ${KDE_INSTALL_DATADIR})
  set(K3B_DATA_INSTALL_DIR ${KDE_INSTALL_DATADIR}/k3b)
else()
  set(K3B_DATA_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/${KDE_INSTALL_DATADIR}/k3b)
endif()

configure_file(config-k3b.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-k3b.h)
include_directories(${CMAKE_BINARY_DIR})

ecm_setup_qtplugin_macro_names(
    JSON_NONE
        K3B_EXPORT_PLUGIN
        K3B_EXPORT_PLUGIN_CONFIG_WIDGET
)

##################  K3b apidox ################################
if(K3B_BUILD_API_DOCS)
    find_package(Doxygen)

    if(DOXYGEN_EXECUTABLE)
        configure_file(${CMAKE_SOURCE_DIR}/Doxyfile.cmake ${CMAKE_BINARY_DIR}/Doxyfile)

        if(EXISTS ${QT_DOC_DIR}/html)
            set(QTDOCS "${QT_DOC_DIR}/html")
        else()
            set(QTDOCS "https://doc.qt.io/qt-5/")
        endif()

        add_custom_target(apidox
            COMMAND ${DOXYGEN_EXECUTABLE} Doxyfile
            COMMAND docs/html/installdox -l qt6.tag@${QTDOCS} docs/html/*.html)
    endif()
endif()

##################  K3b build environment ################################
add_subdirectory( libk3bdevice )
add_subdirectory( libk3b )
add_subdirectory( src )
add_subdirectory( kioworkers )
add_subdirectory( plugins )
if(BUILD_TESTING)
    find_package(Qt6Test REQUIRED)
    find_package(LibFuzzer)
    set_package_properties(LibFuzzer PROPERTIES
        PURPOSE "libFuzzer – a library for coverage-guided fuzz testing."
        URL "https://llvm.org/docs/LibFuzzer.html"
        TYPE OPTIONAL)
    add_subdirectory(tests)
endif()

ecm_qt_install_logging_categories(
    EXPORT K3B
    FILE k3b.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

if(K3B_DOC)
    add_subdirectory(doc)
    kdoctools_install(po)
endif()

ki18n_install(po)

###################  K3b config summary ################################
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== kioworkers/videodvd/CMakeLists.txt ===

add_library(kio_videodvd MODULE videodvd.cpp)
set_target_properties(kio_videodvd PROPERTIES OUTPUT_NAME "videodvd")

target_link_libraries(kio_videodvd KF6::KIOCore KF6::I18n k3blib k3bdevice)

ecm_qt_declare_logging_category(kio_videodvd
    HEADER videodvd_log.h
    IDENTIFIER KIO_VIDEODVD_LOG
    CATEGORY_NAME kf.kio.workers.videodvd
    DESCRIPTION "videodvd KIO worker"
    EXPORT K3B
)

generate_export_header(kio_videodvd
    EXPORT_MACRO_NAME VIDEODVD_EXPORT
    DEPRECATED_MACRO_NAME VIDEODVD_EXPORT_DEPRECATED
    EXPORT_FILE_NAME videodvd_export.h
)

install(TARGETS kio_videodvd DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf6/kio)

install(FILES videodvd.desktop DESTINATION ${KDE_INSTALL_DATADIR}/konqsidebartng/virtual_folders/services)

=== libk3b/core/CMakeLists.txt ===

install( FILES
  k3bcore.h
  k3bdefaultexternalprograms.h
  k3bexternalbinmanager.h
  k3bversion.h
  k3bglobals.h
  k3bjob.h
  k3bthreadjob.h
  k3bglobalsettings.h
  k3bjobhandler.h
  k3bsimplejobhandler.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR} COMPONENT Devel )

=== plugins/decoder/ffmpeg/CMakeLists.txt ===
kcoreaddons_add_plugin(k3bffmpegdecoder
    SOURCES k3bffmpegdecoder.cpp k3bffmpegwrapper.cpp
    INSTALL_NAMESPACE "k3b_plugins")

if(FFMPEG_INCLUDE_DIR_OLD_STYLE)
    message(STATUS "didn't find new ffmpegcodecpath")
    target_include_directories(k3bffmpegdecoder PRIVATE ${FFMPEG_INCLUDE_DIR_OLD_STYLE})
else()
    message(STATUS "found new ffmpegcodecpath")
    target_compile_definitions(k3bffmpegdecoder PRIVATE NEWFFMPEGAVCODECPATH)
    target_include_directories(k3bffmpegdecoder PRIVATE ${FFMPEG_INCLUDE_DIR} ${FFMPEG_INCLUDE_DIRS})
endif()

target_link_libraries(k3bffmpegdecoder k3bdevice k3blib KF6::I18n ${FFMPEG_LIBRARIES})

=== plugins/decoder/musepack/CMakeLists.txt ===

configure_file(k3bmpc_config.h.cmake k3bmpc_config.h)

kcoreaddons_add_plugin(k3bmpcdecoder
    SOURCES k3bmpcdecoder.cpp k3bmpcwrapper.cpp
    INSTALL_NAMESPACE "k3b_plugins")

target_include_directories(k3bmpcdecoder PRIVATE ${MUSE_INCLUDE_DIR})

target_link_libraries(k3bmpcdecoder k3bdevice k3blib KF6::I18n ${MUSE_LIBRARIES})

=== plugins/project/audiometainforenamer/CMakeLists.txt ===
kcoreaddons_add_plugin(k3baudiometainforenamerplugin
    SOURCES k3baudiometainforenamerplugin.cpp
    INSTALL_NAMESPACE "k3b_plugins")

target_link_libraries(k3baudiometainforenamerplugin
    k3bdevice
    k3blib
    KF6::I18n
    Taglib::Taglib
)

=== plugins/project/audioprojectcddb/CMakeLists.txt ===
kcoreaddons_add_plugin(k3baudioprojectcddbplugin
    SOURCES k3baudioprojectcddbplugin.cpp
    INSTALL_NAMESPACE "k3b_plugins")

target_link_libraries(k3baudioprojectcddbplugin
    k3bdevice
    k3blib
    KF6::I18n
    ${KCDDB_TARGET_NAME}
)

=== debian/changelog ===
k3b (25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 07:05:41 +0100

=== debian/control ===
Source: k3b
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Pino Toscano <pino@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.1~),
               gettext,
               libavdevice-dev (>= 7:4.4.0~),
               libdvdread-dev,
               libflac++-dev,
               libflac-dev,
               libkcddb6-dev (>= 4:25.08.1~),
               libkf6archive-dev (>= 6.1~),
               libkf6auth-dev (>= 6.1~),
               libkf6completion-dev,
               libkf6config-dev (>= 6.1~),
               libkf6coreaddons-dev (>= 6.1~),
               libkf6doctools-dev (>= 6.1~),
               libkf6filemetadata-dev (>= 6.1~),
               libkf6i18n-dev (>= 6.1~),
               libkf6iconthemes-dev (>= 6.1~),
               libkf6jobwidgets-dev (>= 6.1~),
               libkf6kcmutils-dev (>= 6.1~),
               libkf6kio-dev (>= 6.1~),
               libkf6newstuff-dev (>= 6.1~),
               libkf6notifications-dev (>= 6.1~),
               libkf6notifyconfig-dev (>= 6.1~),
               libkf6solid-dev (>= 6.1~),
               libkf6widgetsaddons-dev (>= 6.1~),
               libkf6xmlgui-dev (>= 6.1~),
               libmad0-dev,
               libmp3lame-dev,
               libmpcdec-dev,
               libsamplerate0-dev,
               libsndfile1-dev,
               libtag1-dev,
               libvorbis-dev,
               qt6-base-dev (>= 6.6~),
               qt6-webengine-dev (>= 6.6~) [amd64 arm64 armhf],
               shared-mime-info,
Standards-Version: 4.7.0
Homepage: https://userbase.kde.org/K3b
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/k3b
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/k3b
Rules-Requires-Root: no

Package: k3b
Architecture: any
Depends: cdparanoia,
         cdrdao [linux-any],
         genisoimage,
         k3b-data (= ${source:Version}),
         libk3b8t64 (= ${binary:Version}),
         udisks2 [linux-any],
         wodim | cdrskin,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: dvd+rw-tools,
            growisofs,
            kde-config-cddb (>= 4:24.08.1~),
            libk3b-extracodecs,
            vcdimager,
Suggests: k3b-extrathemes, k3b-i18n, normalize-audio, sox,
Description: Sophisticated CD/DVD burning application
 K3b is a full-featured CD/DVD/Blu-ray burning and ripping application.
 It supports a variety of project types as well as copying of optical
 media, burning of different types of images, and ripping Audio CDs,
 Video CDs, and Video DVDs.
 Its convenient user interface is targeted at all audiences, trying to
 be as simple as possible for novice users, while also providing all
 features an advanced user might need.

Package: k3b-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Sophisticated CD/DVD burning application - data files
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains the required data files common to all architectures.

Package: k3b-extrathemes
Architecture: all
Depends: k3b, ${misc:Depends},
Description: Sophisticated CD/DVD burning application - extra themes
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains additional themes for K3b.

Package: k3b-i18n
Section: localization
Architecture: all
Depends: k3b, ${misc:Depends},
Description: Sophisticated CD/DVD burning application - localizations files
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains translations files.

Package: libk3b-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libk3b8t64 (= ${binary:Version}),
         libkcddb6-dev (>= 4:25.08.1~),
         libkf6completion-dev,
         libkf6config-dev (>= 6.1~),
         libkf6coreaddons-dev (>= 6.1~),
         libkf6kcmutils-dev (>= 6.1~),
         libkf6kio-dev (>= 6.1~),
         libkf6widgetsaddons-dev (>= 6.1~),
         qt6-base-dev (>= 6.6~),
         ${misc:Depends},
Description: KDE CD/DVD burning application library - development files
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains development files.

Package: libk3b8t64
Provides: ${t64:Provides}
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: libk3b8 (<< ${source:Version}), libk3b7,
Replaces: libk3b8, libk3b7,
Description: KDE CD/DVD burning application library - runtime files
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains runtime libraries.

Package: libk3b-data
Section: libs
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: KDE CD/DVD burning application library - runtime files
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains libraries data files.

Package: libk3b-extracodecs
Architecture: any
Multi-Arch: same
Depends: libk3b8t64 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends},
Breaks: libk3b7-extracodecs,
Replaces: libk3b7-extracodecs,
Description: KDE CD/DVD burning application library - extra decoders
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains runtime libraries for the MP3 and FFMPEG decoder plugin.

## k3b 25.08.2

=== doc/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR k3b)

=== libk3b/jobs/CMakeLists.txt ===
install( FILES
  k3bcdcopyjob.h
  k3bdvdcopyjob.h
  k3bclonejob.h
  k3baudiocuefilewritingjob.h
  k3bbinimagewritingjob.h
  k3biso9660imagewritingjob.h
  k3bdvdformattingjob.h
  k3bblankingjob.h
  k3bvideodvdtitletranscodingjob.h
  k3bvideodvdtitledetectclippingjob.h
  k3bverificationjob.h
  k3bcdcopyjob.h
  k3bdvdcopyjob.h
  k3bclonejob.h
  k3baudiofileanalyzerjob.h
  k3baudiocuefilewritingjob.h
  k3bbinimagewritingjob.h
  k3biso9660imagewritingjob.h
  k3bdvdformattingjob.h
  k3bblankingjob.h
  k3bverificationjob.h
  k3bmetawriter.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR} COMPONENT Devel )


#
#if include_videodvdrip
#libjobs_la_SOURCES = k3bdatatrackreader.cpp k3breadcdreader.cpp \
# k3bcdcopyjob.cpp k3bclonejob.cpp k3baudiosessionreadingjob.cpp \
# k3bdvdcopyjob.cpp k3bvideodvdtitletranscodingjob.cpp k3bvideodvdtitledetectclippingjob.cpp \
# k3baudiocuefilewritingjob.cpp k3bbinimagewritingjob.cpp \
# k3biso9660imagewritingjob.cpp \
# k3bdvdformattingjob.cpp k3bblankingjob.cpp k3bclonetocreader.cpp \
# k3bverificationjob.cpp k3bdvdbooktypejob.cpp
#
#include_HEADERS = k3bcdcopyjob.h k3bdvdcopyjob.h k3bclonejob.h \
# k3baudiocuefilewritingjob.h k3bbinimagewritingjob.h \
# k3biso9660imagewritingjob.h k3bdvdformattingjob.h \
# k3bblankingjob.h k3bvideodvdtitletranscodingjob.h k3bvideodvdtitledetectclippingjob.h \
# k3bverificationjob.h
#else
#libjobs_la_SOURCES = k3bdatatrackreader.cpp k3breadcdreader.cpp \
# k3bcdcopyjob.cpp k3bclonejob.cpp k3baudiosessionreadingjob.cpp \
# k3bdvdcopyjob.cpp \
# k3baudiocuefilewritingjob.cpp k3bbinimagewritingjob.cpp \
# k3biso9660imagewritingjob.cpp \
# k3bdvdformattingjob.cpp k3bblankingjob.cpp k3bclonetocreader.cpp \
# k3bverificationjob.cpp k3bdvdbooktypejob.cpp
#
#include_HEADERS = k3bcdcopyjob.h k3bdvdcopyjob.h k3bclonejob.h \
# k3baudiocuefilewritingjob.h k3bbinimagewritingjob.h \
# k3biso9660imagewritingjob.h k3bdvdformattingjob.h \
# k3bblankingjob.h k3bverificationjob.h
#endif

=== src/icons/CMakeLists.txt ===
add_subdirectory( actions )
add_subdirectory( apps )
add_subdirectory( devices )
add_subdirectory( mimetypes )

=== src/pics/CMakeLists.txt ===
add_subdirectory( 73lab )
add_subdirectory( crystal )
add_subdirectory( quant )
add_subdirectory( RobsTheme )

=== libk3b/projects/audiocd/CMakeLists.txt ===
install( FILES
  k3baudiodoc.h
  k3baudiodocreader.h
  k3baudiojob.h
  k3baudiocdtrackdrag.h
  k3baudiotrack.h
  k3baudiotrackreader.h
  k3baudiodatasource.h
  k3baudiofile.h
  k3baudiofilereader.h
  k3baudiozerodata.h
  k3baudiozerodatareader.h
  k3baudiocdtrackreader.h
  k3baudiocdtracksource.h
  k3baudiodatasourceiterator.h
  k3brawaudiodatareader.h
  k3brawaudiodatasource.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR}
  COMPONENT Devel )

=== libk3b/projects/mixedcd/CMakeLists.txt ===
install(FILES k3bmixeddoc.h k3bmixedjob.h DESTINATION ${KDE_INSTALL_INCLUDEDIR} COMPONENT Devel)

=== plugins/decoder/wave/CMakeLists.txt ===
kcoreaddons_add_plugin(k3bwavedecoder
    SOURCES k3bwavedecoder.cpp
    INSTALL_NAMESPACE "k3b_plugins")

target_link_libraries(k3bwavedecoder k3bdevice k3blib KF6::I18n)

=== debian/changelog ===
k3b (25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:40:02 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                libdvdread-dev,
                libflac++-dev,
                libflac-dev,
-               libkcddb6-dev (>= 4:25.08.1~),
+               libkcddb6-dev (>= 4:25.08.2~),
                libkf6archive-dev (>= 6.1~),
                libkf6auth-dev (>= 6.1~),
                libkf6completion-dev,
@@ -115,7 +115,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: libk3b8t64 (= ${binary:Version}),
-         libkcddb6-dev (>= 4:25.08.1~),
+         libkcddb6-dev (>= 4:25.08.2~),
          libkf6completion-dev,
          libkf6config-dev (>= 6.1~),
          libkf6coreaddons-dev (>= 6.1~),

## k3b 25.08.2+p24.04+vstable+git20251015.1638

=== debian/changelog ===
k3b (25.08.2+p24.04+vstable+git20251015.1638-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 16:38:44 +0000

k3b (25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 04:17:32 +0000

k3b (25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 09:30:02 +0000

k3b (25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 13:05:05 +0000

k3b (25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 11:42:01 +0000

k3b (25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 10:56:50 +0000

k3b (25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 04:47:25 +0000

k3b (25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 11:34:55 +0000

k3b (24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 14:04:18 +0000

k3b (24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 15:03:11 +0000

k3b (24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 19:54:01 +0000

k3b (24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 18:51:16 +0000

k3b (24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 10:51:37 +0000

k3b (24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 21:27:47 +0000

k3b (24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 08:04:06 +0000

k3b (24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Jun 2024 10:12:50 +0000

k3b (24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 11:49:51 +0000

k3b (24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 17:15:20 +0000

k3b (24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 04:02:56 +0000

k3b (23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 14:57:18 +0000

k3b (23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 16:38:16 +0000

k3b (23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Nov 2023 12:39:29 +0000

k3b (23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 17:15:00 +0000

k3b (23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 13 Sep 2023 20:40:45 +0000

k3b (23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 09:44:00 +0000

k3b (23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2023 05:26:13 +0000

k3b (22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 13:00:00 +0000

k3b (22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 17:29:46 +0000

k3b (22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 16:06:08 +0000

k3b (22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 12:13:06 +0000

k3b (22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 09:33:51 +0000

k3b (22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2022 18:06:09 +0000

k3b (22.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 18 Aug 2022 09:36:48 +0000

k3b (22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 12:24:12 +0000

k3b (22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 20:47:50 +0000

k3b (22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 13:43:19 +0000

k3b (22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 12:55:28 +0000

k3b (21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Mar 2022 11:06:03 +0000

k3b (21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 10:59:17 +0000

k3b (21.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 06 Dec 2021 23:15:02 +0000

k3b (21.08.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Oct 2021 15:18:04 +0000

k3b (21.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 09:31:15 +0000

k3b (21.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Aug 2021 10:42:01 +0000

k3b (21.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 11:48:55 +0000

k3b (21.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 08:21:23 +0000

k3b (21.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 May 2021 08:51:42 +0000

k3b (21.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Apr 2021 10:19:25 +0000

k3b (20.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Mar 2021 12:56:50 +0000

k3b (20.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Feb 2021 11:12:14 +0000



## k3b 25.08.2+p24.04+vstable+git20251019.0451

=== debian/changelog ===
k3b (25.08.2+p24.04+vstable+git20251019.0451-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 04:51:24 +0000

=== debian/control ===
Source: k3b
Section: utils
Priority: optional
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>,
           Michael Meskes <meskes@debian.org>,
           Mark Purcell <msp@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-karchive-dev,
               kf6-kcmutils-dev,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kdoctools-dev,
               kf6-kfilemetadata-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kio-dev,
               kf6-kjobwidgets-dev,
               kf6-knewstuff-dev,
               kf6-knotifications-dev,
               kf6-knotifyconfig-dev,
               kf6-kservice-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kxmlgui-dev,
               kf6-solid-dev,
               libavformat-dev,
               libcam-dev [kfreebsd-any],
               libdvdread-dev,
               libflac++-dev,
               libflac-dev,
               libfuzzer-14-dev,
               libkcddb6-dev,
               libmad0-dev,
               libmp3lame-dev,
               libmpcdec-dev,
               libmusicbrainz5-dev,
               libsamplerate0-dev,
               libsndfile1-dev,
               libtag1-dev,
               libvorbis-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-webengine-dev
Standards-Version: 4.6.2
Homepage: http://www.k3b.org
Vcs-Git: https://invent.kde.org/neon/kde/k3b.git
Vcs-Browser: https://invent.kde.org/neon/kde/k3b
Maintainer: Neon CI <neon@kde.org>

Package: k3b
Architecture: any
Depends: cdparanoia,
         cdrdao [linux-any],
         cdrskin,
         genisoimage,
         k3b-data (= ${source:Version}),
         libk3b8 (= ${binary:Version}),
         udisks2 [linux-any],
         wodim,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: dvd+rw-tools, growisofs, libk3b8-extracodecs, vcdimager
Suggests: k3b-extrathemes, kde-config-cddb, normalize-audio, sox
Breaks: k3b-data (<< 25.04.0), k3b-extrathemes (<< 25.04.0)
Replaces: k3b-data (<< 25.04.0), k3b-extrathemes (<< 25.04.0)
Description: Sophisticated CD/DVD burning application
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.

Package: k3b-data
Architecture: all
Depends: ${misc:Depends}
Breaks: k3b (<< 25.04.0), k3b-extrathemes (<< 25.04.0), k3b-i18n (<< 25.04.0)
Replaces: k3b (<< 25.04.0), k3b-extrathemes (<< 25.04.0), k3b-i18n (<< 25.04.0)
Description: Sophisticated CD/DVD burning application - data files
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains the required data files common to all architectures.

Package: k3b-extrathemes
Architecture: all
Depends: ${misc:Depends}
Description: Sophisticated CD/DVD burning application - extra themes
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains additional themes for K3b.

Package: libk3b-dev
Section: libdevel
Architecture: any
Depends: libk3b8 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: KDE CD/DVD burning application library - development files
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains development files.

Package: libk3b8
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libk3b7 (<< 22.08.1), libk3b8-extracodecs (<< 25.04.0)
Replaces: libk3b7 (<< 22.08.1), libk3b8-extracodecs (<< 25.04.0)
Description: KDE CD/DVD burning application library - runtime files
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains runtime libraries.

Package: libk3b8-extracodecs
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libk3b7-extracodecs (<< 22.08.1), libk3b8 (<< 25.04.0)
Breaks: libk3b7-extracodecs (<< 22.08.1), libk3b8 (<< 25.04.0)
Description: KDE CD/DVD burning application library - extra decoders
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains runtime libraries for the MP3 and FFMPEG decoder plugin.

Package: k3b-i18n
Section: oldlibs
Priority: optional
Architecture: all
Depends: libk3b8, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libk3b7
Section: oldlibs
Priority: optional
Architecture: all
Depends: libk3b8, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libk3b7-extracodecs
Section: oldlibs
Priority: optional
Architecture: all
Depends: libk3b8-extracodecs, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

## k3b 25.08.2+p24.04+vstable+git20251031.0834

=== debian/changelog ===
k3b (25.08.2+p24.04+vstable+git20251031.0834-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 08:34:23 +0000

## k3b 25.08.2+p24.04+vunstable+git20251020.0040

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "1")
+set(RELEASE_SERVICE_VERSION_MINOR "11")
+set(RELEASE_SERVICE_VERSION_MICRO "70")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(k3b VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
k3b (25.08.2+p24.04+vunstable+git20251020.0040-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 00:40:52 +0000
